#ifndef INCLUDE__LLVMBasicBlock_hxx
#define INCLUDE__LLVMBasicBlock_hxx

#include "disassembler/BasicBlock.hxx"

class Disassembler;

class LLVMBasicBlock : public BasicBlock {
public:
	LLVMBasicBlock(uint64_t start_address, Disassembler * disassembler) {
		setStartAddress(start_address);
	}

	Disassembler * getDisassembler() {
		return disassembler;
	}

private:
	Disassembler * disassembler;
};

#endif
